Close file descriptor on error handling.
[oweals/gnunet.git] / src / credential / test_credential_collect.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf `gnunet-config -c test_credential_lookup.conf -s PATHS -o GNUNET_HOME -f`
17
18 #  (1) PKEY1.user -> PKEY2.resu.user
19 #  (2) PKEY2.resu -> PKEY3
20 #  (3) PKEY3.user -> PKEY4
21
22
23 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
24
25 TEST_ATTR="test"
26 TEST_ATTR2="test2"
27 gnunet-arm -s -c test_credential_lookup.conf
28 gnunet-identity -C testissuer -c test_credential_lookup.conf
29 gnunet-identity -C testsubject -c test_credential_lookup.conf
30 SUBJECT_KEY=$(gnunet-identity -d -c test_credential_lookup.conf | grep testsubject | awk '{print $3}')
31 ISSUER_KEY=$(gnunet-identity -d -c test_credential_lookup.conf | grep testissuer | awk '{print $3}')
32 #TODO1 Get credential and store it with subject (3)
33 CRED=`$DO_TIMEOUT gnunet-credential --issue --ego=testissuer --subject=$SUBJECT_KEY --attribute=$TEST_ATTR --ttl=5m -c test_credential_lookup.conf`
34 $DO_TIMEOUT gnunet-namestore -a -z testsubject -n c1 -t CRED -V "$CRED" -e 5m -c test_credential_lookup.conf
35 CRED=`$DO_TIMEOUT gnunet-credential --issue --ego=testissuer --subject=$SUBJECT_KEY --attribute=$TEST_ATTR2 --ttl=5m -c test_credential_lookup.conf`
36 $DO_TIMEOUT gnunet-namestore -a -z testsubject -n c2 -t CRED -V "$CRED" -e 5m -c test_credential_lookup.conf
37 CREDS=`$DO_TIMEOUT gnunet-credential --collect --issuer=$ISSUER_KEY --attribute=$TEST_ATTR --ego=testsubject -c test_credential_lookup.conf | paste -d, -s`
38 echo $CREDS
39 RES=$?
40 gnunet-arm -e -c test_credential_lookup.conf
41
42 if test $? != 0
43 then
44   echo "Error collecting..."
45   exit 1
46 fi
47